Bug 150473 - Firefox crashes on invalid pixmap
Firefox crashes on invalid pixmap
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-07 09:27 EST by Andrew Macpherson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-28 09:16:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Macpherson 2005-03-07 09:27:28 EST
Description of problem: Firefox will crash when accessing certain web
pages.   This seems to be related to invalid pixmaps, as Konqueror
reports 'QPixmap: Invalid pixmap parameters' when accessing the same page.

Version-Release : Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.6)
Gecko/20050224 Firefox/1.0.1

How reproducible: every time

Steps to Reproduce:
1. access http://www.fasthosts.co.uk/domains/ 
2.
3.
  
Actual results: Firefox closes


Expected results: Page displayed


Additional info: Yum update fully up-to-date
Comment 1 Warren Togami 2005-03-07 15:59:03 EST
Unable to reproduce this on i386.
Comment 2 Warren Togami 2005-09-11 08:08:26 EDT
Andrew can you still reproduce this?  If so please install matching debuginfo
for your firefox and supply a gdb traceback.  It would also be helpful if you
could attach an example of an invalid pixmap to this report.
Comment 3 John Thacker 2006-04-28 09:16:40 EDT
Can't reproduce this either.  No response from reporter.  FC3 is the
responsibility of Fedora Legacy, and this is not a security issue.
If it can be reproduced on FC4 or FC5, please reopen.

Note You need to log in before you can comment on or make changes to this bug.